import os
from inventory_provider import config
import inventory_provider

TEST_DATA_DIRNAME = os.path.realpath(os.path.join(
    inventory_provider.__path__[0],
    "..",
    "test",
    "data"))


def pytest_generate_tests(metafunc):
    filename = os.path.join(TEST_DATA_DIRNAME, "routers_community.conf")
    with open(filename) as f:
        routers = config._load_routers(f)
        metafunc.parametrize(
            "router",
            list([r['hostname'] for r in routers]))
